{
  "_args": [
    [
      {
        "raw": "cordova-plugin-offbye-alipay@git+https://github.com/offbye/cordova-plugin-alipay.git",
        "scope": null,
        "escapedName": "cordova-plugin-offbye-alipay",
        "name": "cordova-plugin-offbye-alipay",
        "rawSpec": "git+https://github.com/offbye/cordova-plugin-alipay.git",
        "spec": "git+https://github.com/offbye/cordova-plugin-alipay.git",
        "type": "hosted",
        "hosted": {
          "type": "github",
          "ssh": "git@github.com:offbye/cordova-plugin-alipay.git",
          "sshUrl": "git+ssh://git@github.com/offbye/cordova-plugin-alipay.git",
          "httpsUrl": "git+https://github.com/offbye/cordova-plugin-alipay.git",
          "gitUrl": "git://github.com/offbye/cordova-plugin-alipay.git",
          "shortcut": "github:offbye/cordova-plugin-alipay",
          "directUrl": "https://raw.githubusercontent.com/offbye/cordova-plugin-alipay/master/package.json"
        }
      },
      "D:\\my\\miao\\miaomiao\\node_modules"
    ]
  ],
  "_from": "git+https://github.com/offbye/cordova-plugin-alipay.git",
  "_id": "cordova-plugin-offbye-alipay@1.0.1",
  "_inCache": true,
  "_location": "/cordova-plugin-offbye-alipay",
  "_phantomChildren": {},
  "_requested": {
    "raw": "cordova-plugin-offbye-alipay@git+https://github.com/offbye/cordova-plugin-alipay.git",
    "scope": null,
    "escapedName": "cordova-plugin-offbye-alipay",
    "name": "cordova-plugin-offbye-alipay",
    "rawSpec": "git+https://github.com/offbye/cordova-plugin-alipay.git",
    "spec": "git+https://github.com/offbye/cordova-plugin-alipay.git",
    "type": "hosted",
    "hosted": {
      "type": "github",
      "ssh": "git@github.com:offbye/cordova-plugin-alipay.git",
      "sshUrl": "git+ssh://git@github.com/offbye/cordova-plugin-alipay.git",
      "httpsUrl": "git+https://github.com/offbye/cordova-plugin-alipay.git",
      "gitUrl": "git://github.com/offbye/cordova-plugin-alipay.git",
      "shortcut": "github:offbye/cordova-plugin-alipay",
      "directUrl": "https://raw.githubusercontent.com/offbye/cordova-plugin-alipay/master/package.json"
    }
  },
  "_requiredBy": [
    "#USER",
    "/"
  ],
  "_resolved": "git+https://github.com/offbye/cordova-plugin-alipay.git#ba83d05c2987eb3adf3510c0e80ea9f7ce9e9d58",
  "_shasum": "45d5b4e5ec2e3f979391e2df059458c2b4b702ae",
  "_shrinkwrap": null,
  "_spec": "cordova-plugin-offbye-alipay@git+https://github.com/offbye/cordova-plugin-alipay.git",
  "_where": "D:\\my\\miao\\miaomiao\\node_modules",
  "author": "",
  "bugs": {
    "url": "https://github.com/offbye/cordova-plugin-alipay"
  },
  "cordova": {
    "id": "cordova-plugin-offbye-alipay",
    "platforms": [
      "android",
      "ios"
    ]
  },
  "dependencies": {},
  "description": "Makes your Cordova application enable to use the Alipay SDK",
  "devDependencies": {},
  "engines": [
    {
      "name": "cordova-android",
      "version": ">=4"
    },
    {
      "name": "cordova-plugman",
      "version": ">=4.2.0"
    }
  ],
  "gitHead": "ba83d05c2987eb3adf3510c0e80ea9f7ce9e9d58",
  "homepage": "https://github.com/offbye/cordova-plugin-alipay",
  "keywords": [
    "cordova",
    "chromium",
    "alipay",
    "ecosystem:cordova",
    "cordova-ios",
    "cordova-android"
  ],
  "license": "Apache 2.0",
  "name": "cordova-plugin-offbye-alipay",
  "optionalDependencies": {},
  "readme": "## cordova-plugin-alipay ##\r\n\r\nMakes your Cordova application enable to use the [Alipay SDK](https://doc.open.alipay.com/docs/doc.htm?spm=a219a.7629140.0.0.hT44dE&treeId=54&articleId=104509&docType=1)\r\nfor mobile payment with Alipay App or Mobile Web. Requires cordova-android 4.0 or greater.\r\n\r\n### ChangeLogs\r\n  本cordova插件是基于支付宝App支付SDK的Demo实现\r\n - 升级支付宝SDK版本到20160825；\r\n - 修改了一些bug;\r\n - 支持Android和iOS Alipay SDK\r\n###主要功能\r\n\r\n - 主要功能是：服务器把订单信息签名后，调用该插件调用支付宝sdk进行支付，支付完成后如支付成功，如果是9000状态，还要去服务端去验证是否真正支付\r\n\r\n### Install 安装\r\n\r\nThe following directions are for cordova-cli (most people).  \r\n\r\n* Open an existing cordova project, with cordova-android 4.0.0+, and using the latest CLI. TBS X5  variables can be configured as an option when installing the plugin\r\n* Add this plugin\r\n\r\n  ```sh\r\n  cordova plugin add https://github.com/offbye/cordova-plugin-alipay.git --variable PARTNER_ID=[你的商户PID可以在账户中查询]\r\n  ```\r\n  （对于android，可以不传PARTNER_ID）\r\n\r\n   offline：下载后再进行安装 `cordova plugin add  YOUR_DIR`\r\n\r\n### 支持平台\r\n\r\n\t\tAndroid IOS\r\n\r\n### Android API\r\n\r\n* js调用插件方法\r\n\r\n```js\r\n\r\n    //第一步：订单在服务端签名生成订单信息，具体请参考官网进行签名处理\r\n    var payInfo  = \"xxxx\";\r\n\r\n    //第二步：调用支付插件        \t\r\n    cordova.plugins.AliPay.pay(payInfo,function success(e){},function error(e){});\r\n\r\n\t //e.resultStatus  状态代码  e.result  本次操作返回的结果数据 e.memo 提示信息\r\n\t //e.resultStatus  9000  订单支付成功 ;8000 正在处理中  调用function success\r\n\t //e.resultStatus  4000  订单支付失败 ;6001  用户中途取消 ;6002 网络连接出错  调用function error\r\n\t //当e.resultStatus为9000时，请去服务端验证支付结果\r\n\t \t\t\t/**\r\n\t\t\t\t * 同步返回的结果必须放置到服务端进行验证（验证的规则请看https://doc.open.alipay.com/doc2/\r\n\t\t\t\t * detail.htm?spm=0.0.0.0.xdvAU6&treeId=59&articleId=103665&\r\n\t\t\t\t * docType=1) 建议商户依赖异步通知\r\n\t\t\t\t */\r\n\r\n```\r\n",
  "readmeFilename": "README.md",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/offbye/cordova-plugin-alipay.git"
  },
  "version": "1.0.1"
}
